develooper Front page | perl.par | Postings from August 2008

Packaging Padre on Linux

Thread Next
From:
Gabor Szabo
Date:
August 25, 2008 12:02
Subject:
Packaging Padre on Linux
Message ID:
d8a74af10808251202w4f9fdff3ie1007b7e2141e350@mail.gmail.com
I am trying to package Padre for Linux machines.
So far I got to this code:

my @modules = qw(
                libwx_gtk2_adv-2.8.so.0
                libwx_gtk2_core-2.8.so.0
                libwx_base-2.8.so.0
                libwx_gtk2_stc-2.8.so.0
                libwx_gtk2_html-2.8.so.0
);

my $c = '';
$c .= "-l /home/gabor/perl5lib/lib/perl/5.8.8/Alien/wxWidgets/gtk_2_8_7/lib/$_
" for @modules;

system "pp -o padre.exe -I lib  script/padre $c";

It can be found here: http://padre.perlide.org/wiki/Download
The executable created by this code runs on some Linux systems
but someone reported this:

> ./padre_0.05_linux_t1
./padre_0.05_linux_t1: /lib/tls/libc.so.6: version `GLIBC_2.4' not
found (required by ./padre_0.05_linux_t1)

Does that mean it I'll also have to include glibc files?

How?

Does this mean the specific distro is too old and I should not care?

Gabor

Thread Next


nntp.perl.org: Perl Programming lists via nntp and http.
Comments to Ask Bjørn Hansen at ask@perl.org | Group listing | About